Skip to main content
`Ctrl`+`K`

# scipy.linalg.blas.zgeru

scipy.linalg.blas.zgeru(alpha, x, y[, incx, incy, a, overwrite_x, overwrite_y, overwrite_a]) = <fortran function zgeru>

  Wrapper for `zgeru`.

  Parameters:
    alpha input complex
    x input rank-1 array(‘D’) with bounds (m)
    y input rank-1 array(‘D’) with bounds (n)
  Returns:
    a rank-2 array(‘D’) with bounds (m,n)
  Other Parameters:
    overwrite_x input int, optional

      Default: 1

    incx input int, optional

      Default: 1

    overwrite_y input int, optional

      Default: 1

    incy input int, optional

      Default: 1

    a input rank-2 array(‘D’) with bounds (m,n), optional

      Default: (0.0,0.0)

    overwrite_a input int, optional

      Default: 0